Create two new backup serviceEndpoint for ckan catalogue
Apr 11, 2018 02:44 PM - Roberto Cirillo

Status: Closed Start date: Apr 11,2018
Priority: High Due date:

Assignee: Roberto Cirillo % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

In order to provide a way to perform the ckan catalogue context switch, it's needed to create two new "backup" service endpoints:

<Category>Application</Category>
<Name>CKanDataCatalogue_bck</Name>

<Category>Database</Category>
<Name>CKanDatabase_bck</Name>

filled with the same scopes of the following originals service endpoints:

<Category>Application</Category>
<Name>CKanDataCatalogue</Name>

<Category>Database</Category>
<Name>CKanDatabase</Name>

When a context switch is needed, the backup service ednpoints will be renamed as the original service endpoints and viceversa, as
tested in #11483

Related issues:
Blocked by D4Science Infrastructure - Task #11615: Restore original context o... Closed Apr 11,2018

History

#2 - Apr 11, 2018 02:53 PM - Roberto Cirillo
- Blocked by Task #11615: Restore original context of ckan data catalogue on TabularDatalLab VRE added

#3 - Apr 11, 2018 03:25 PM - Roberto Cirillo

I've added "bb" to the "_bck" suffix in order to distinguishing them from the other ckan instances. The backup resources names are going to be:

e CKanDatabase bb_bck
¢ CKanDataCatalogue_bck

#4 - Apr 11, 2018 03:26 PM - Roberto Cirillo

- Status changed from New to In Progress

#5 - Apr 11, 2018 05:05 PM - Roberto Cirillo
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Now the backup resources match the scopes of the original resources. This operation has been executed by a script.

May 02, 2025 1/1



http://www.tcpdf.org

